'use client';
'use strict';

var core = require('@mantine/core');
var React = require('react');

function ExpandIcon({ expanded, style, ...others }) {
  return /* @__PURE__ */ React.createElement(
    "svg",
    {
      xmlns: "http://www.w3.org/2000/svg",
      style: { width: core.rem(18), height: core.rem(18), ...style },
      viewBox: "0 0 24 24",
      strokeWidth: "2",
      stroke: "currentColor",
      fill: "none",
      strokeLinecap: "round",
      strokeLinejoin: "round",
      ...others
    },
    expanded ? /* @__PURE__ */ React.createElement(React.Fragment, null, /* @__PURE__ */ React.createElement("path", { stroke: "none", d: "M0 0h24v24H0z", fill: "none" }), /* @__PURE__ */ React.createElement("path", { d: "M12 13v-8l-3 3m6 0l-3 -3" }), /* @__PURE__ */ React.createElement("path", { d: "M9 17l1 0" }), /* @__PURE__ */ React.createElement("path", { d: "M14 17l1 0" }), /* @__PURE__ */ React.createElement("path", { d: "M19 17l1 0" }), /* @__PURE__ */ React.createElement("path", { d: "M4 17l1 0" })) : /* @__PURE__ */ React.createElement(React.Fragment, null, /* @__PURE__ */ React.createElement("path", { stroke: "none", d: "M0 0h24v24H0z", fill: "none" }), /* @__PURE__ */ React.createElement("path", { d: "M12 11v8l3 -3m-6 0l3 3" }), /* @__PURE__ */ React.createElement("path", { d: "M9 7l1 0" }), /* @__PURE__ */ React.createElement("path", { d: "M14 7l1 0" }), /* @__PURE__ */ React.createElement("path", { d: "M19 7l1 0" }), /* @__PURE__ */ React.createElement("path", { d: "M4 7l1 0" }))
  );
}

exports.ExpandIcon = ExpandIcon;
//# sourceMappingURL=ExpandIcon.cjs.map
