'use client';
'use strict';

var React = require('react');
var hljs = require('highlight.js');

function useHighlight({ code, language, highlightOnClient }) {
  const lang = hljs.getLanguage(language) ? language : "plaintext";
  const getHighlightedCode = () => hljs.highlight(code.trim(), { language: lang }).value;
  const [highlighted, setHighlighted] = React.useState(!highlightOnClient);
  const [highlightedCode, setHighlightedCode] = React.useState(
    highlightOnClient ? code : getHighlightedCode()
  );
  const getCodeProps = () => highlighted ? { dangerouslySetInnerHTML: { __html: highlightedCode } } : { children: code.trim() };
  React.useEffect(() => {
    if (highlightOnClient) {
      setHighlightedCode(getHighlightedCode());
      setHighlighted(true);
    }
  }, []);
  React.useEffect(() => {
    setHighlightedCode(getHighlightedCode());
  }, [code]);
  return getCodeProps;
}

exports.useHighlight = useHighlight;
//# sourceMappingURL=use-highlight.cjs.map
